Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#2361 haihau81

haihau81

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 July 2009 - 11:16 AM

Mình muốn đặt lại kích thước và ghi kích thước cho 1 bản vẽ bằng autolisp theo đúng tiêu chuẩn bản vẽ kỹ thuật cụ thể như sau:
Đây là đoạn lisp mình đã viết để vẽ bánh răng.
http://www.cadviet.com/upfiles/BR1.lsp
Yêu cầu của mình là viết thêm phần ghi các kích tước cho bánh răng theo tiêu chẩn của bản vẽ lắp.
Mình cần thêm các giải thích cho các dòng lệnh để khi cần mình có thể điều chỉnh.
Anh em giúp mình nha. Mình cảm ơn nhiều.
  • 0

#2362 aliosa

aliosa

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 11 July 2009 - 11:41 AM

Chào các bạn.
Các bạn giúp minh một chút. mình có một bản vẽ cống có các điểm cao độ cần điền giá trị cao độ. Mình đã có cao độ chuẩn của một điểm tim cống trên bản vẽ. từ điểm đó mình muốn xác định cao độ cho các điểm còn lại bằnc cách đo từ điểm chuẩn đến các điểm còn lại sau đó lấy cao độ chuẩn cộng hoặc trừ giá trị đo được và chỉnh lại vào text của cao độ chưa chuẩn. Các bạn giúp mình một ct lisp thực hiện công việc nhé.
Bản vẽ gửi kèm
http://www.cadviet.c...s/tinhcaodo.dwg
  • 0

#2363 khaosat2009

khaosat2009

    biết lệnh offset

  • Members
  • PipPipPip
  • 171 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 11 July 2009 - 11:51 AM

bạn cài cái này vào CAD
sau đó tắt CAD khởi động lại CAD nó sẽ hiện lên cái bảng đăng ký,bạn copy cái dòng số này paste vào keygen, nó sẽ hiện ra 1 dãy chữ khác,bạn paste lại vào cái ô đang hỏi đăng ký trong CAD nữa là xong!thân!

Nhờ bạn hướng dẫn cụ thể hơn cách key của chương trình excellink 2007.
Mình làm như thế này nhờ bạn giúp xem có đúng không nha, mà mình không vào đăng ký được
Sau khi cài xong, vào Cad, xuất hiện bảng. mình chọn Authorize, xuất hiện bảng . mình chọn copy của dãy chữ trong ô Request code.
Xong chọn file keygen.exe xuất hiện bảng và past dãy số vài khung username, bấm vào genante . trong ô này xuất hiện dãy số dươi ô Regỉtation code và copy số này dán vảo ô licen string.
nó báo lỗi.
Mong được bạn giúp
  • 0

#2364 phuongcuong

phuongcuong

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 11 July 2009 - 01:50 PM

Lisp kiểu này trên dđ nhiều vô số, nhưng mình cũng xin làm thêm một cái theo yêu cầu của bạn.
Cái này đo chiều dài mọi đường line,arc,pline.circle,spline.


(defun c:do(/ plo to dai)
(vl-load-com)
(setq plo (vlax-ename->vla-object (car (entsel "Chon pline :"))))

(while plo
(setq to (vlax-ename->vla-object (car (entsel "Chon text :")))
dai (vlax-curve-getDistAtParam plo (vlax-curve-getEndParam plo)))
(vla-put-TextString to (rtos dai))
(setq plo (vlax-ename->vla-object (car (entsel "Chon pline :"))))
)
)


cảm ơn ban q288 nhiều, đúng yêu cầu của mình rồi, nhưng giờ phát sinh phải cộng 2 pline lại rồi mới điền vào giá trị text, mong bạn sửa giúp,
  • 0

#2365 phuongcuong

phuongcuong

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 11 July 2009 - 02:11 PM

Chào các bạn.
Các bạn giúp minh một chút. mình có một bản vẽ cống có các điểm cao độ cần điền giá trị cao độ. Mình đã có cao độ chuẩn của một điểm tim cống trên bản vẽ. từ điểm đó mình muốn xác định cao độ cho các điểm còn lại bằnc cách đo từ điểm chuẩn đến các điểm còn lại sau đó lấy cao độ chuẩn cộng hoặc trừ giá trị đo được và chỉnh lại vào text của cao độ chưa chuẩn. Các bạn giúp mình một ct lisp thực hiện công việc nhé.
Bản vẽ gửi kèm
http://www.cadviet.c...s/tinhcaodo.dwg

cái này mình làm luôn trên cad >2006, ko cần dùng lisp. Xem có đúng ý bạn không.
http://www.mediafire...04e75f6e8ebb871
mình up lên diễn đàn mà không được, bạn down file của bạn về qua link trên nhé.
  • 0

#2366 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 11 July 2009 - 02:18 PM

bạn cài cái này vào CAD
sau đó tắt CAD khởi động lại CAD nó sẽ hiện lên cái bảng đăng ký,bạn copy cái dòng số này paste vào keygen, nó sẽ hiện ra 1 dãy chữ khác,bạn paste lại vào cái ô đang hỏi đăng ký trong CAD nữa là xong!thân!

okey, xong roài! :s_big: cám ơn bác tận tình chỉ bảo!
  • 0

Một môn tập luyện mang lại vô vàn lợi ích sức khỏe cho mọi người, nhiều bệnh tật nan y đều được chữa khỏi, hoàn toàn miễn phí. Hiệu quả chữa khỏi bệnh tật của nó lên đến hơn 90%.
Tài liệu tại đây: http://phapluan.org/

Rất vui được làm quen với mọi người trên facebook:
https://www.facebook...67946371&type=1

 

 


#2367 aliosa

aliosa

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 11 July 2009 - 03:03 PM

cái này mình làm luôn trên cad >2006, ko cần dùng lisp. Xem có đúng ý bạn không.
http://www.mediafire...04e75f6e8ebb871
mình up lên diễn đàn mà không được, bạn down file của bạn về qua link trên nhé.

Mình đang dùng cad 02 và 05 vì theo phần mềm mà. cad cao hơn chương trình không dùng được. Bạn xem có cách nào không?
  • 0

#2368 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 July 2009 - 03:21 PM

cảm ơn ban q288 nhiều, đúng yêu cầu của mình rồi, nhưng giờ phát sinh phải cộng 2 pline lại rồi mới điền vào giá trị text, mong bạn sửa giúp,

Cộng bao nhiêu Pline cũng được cả. Bạn đọc bài viết này nhé :
http://www.cadviet.c...o...ic=9681&hl=
Bài viết số 4 bạn nhé

Bài viết đã được chỉnh sửa nội dung bởi Tue_NV: 11 July 2009 - 03:37 PM

  • 2

#2369 phuongcuong

phuongcuong

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 11 July 2009 - 05:29 PM

Mình đang dùng cad 02 và 05 vì theo phần mềm mà. cad cao hơn chương trình không dùng được. Bạn xem có cách nào không?

vay thi phải dùng lisp rồi:
http://www.cadviet.c...at_tu_dong.html
Cam ơn bạn Tue_NV nhiều.
  • 1

#2370 quoctoa

quoctoa

    biết vẽ ellipse

  • Members
  • PipPip
  • 53 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 11 July 2009 - 10:07 PM

Bác Hoành và mọi người xem viết giúp em cái lisp này với : công việc của em là vẽ họa đồ vị trí nhà để cấp sổ hồng, yêu cầu là : xác định được kích thước nhà, vị trí nhà cách đường bao nhiêu, căn cứ vào chỉ giới xây dựng thi nhà có vi phạm chỉ giới không? nếu có thì diện tích vi phạm là bao nhiêu ? tứ cận gồm những ai.???

- cái khó để xác định kích thước nhà là nhiều nhà có kich thước các cạnh không vuông vức mà lại giật, nghiêng so với truc chuẩn ( để đo được kích thước phải dùng dim align)
cách thức làm việc của lisp theo mình có thể mô tả như sau :
command : vsh ( <-- vẽ sổ hồng)
mặt trước giáp Đường/Đường Hẻm/Đường Đất/Đường Mòn:
nếu giáp Đường : Tên đường là gì ? chỉ giới quy định là bao nhiêu
( kết quả sẽ được 2 line thể hiện bề rộng Đường/Đường Hẻm/Đường Đất/Đường Mòn, 1 line tim đường, 1 line chỉ giới cách tim đường theo như kích thước khai báo, và một dim line ( dấu mũi tên) thể hiện kích thước chỉ giới ( vd : 10,00m)
tương tự cho 3 bên còn lại
chu vi thửa đất ( thể hiện bằng nét đứt)
( theo chiều kim đồng hồ ) cạnh 1 : ngang/dọc/nghiêng
( nếu là nghiêng thì nghiêng bao nhiêu độ, kích thước dim align là bao nhiêu? Mình vẫn hay gặp khó khăn chỗ này, vi góc nghiêng không xác đinh được chính xác nên việc xác định được chiều dài cạnh nghiêng và 2 cạnh nối 2 đầu cạnh này đúng theo kích thước mình muốn rất mất thời gian, vì phải stretch để căn chỉnh đúng 3 cạnh)
tương tự cạnh 2, 3, 4, ....
Chu vi nhà ( thể hiện bằng nét đậm 0.45)
tương tự như vẽ chu vi đất
sau đó lisp xác định được diện tích nhà (Area), diện tích vi phạm chỉ giới ( phần vi phạm chỉ giới được hatch lên )
......
Bác nào có kinh nghiệm xin bổ sung thêm. Mọi người xem giúp mình với nhé. Thank everybody so much.
vì việc có vẻ đơn giản vì chỉ dùng những lệnh căn bản của CAD nhưng vì số lượng nhiều nên mấy anh em ở phòng làm không kịp, trễ hẹn đến ngày hẹn trả cho dân mà không thấy là Phòng ăn kiểm điểm ngay, khổ lắm.)
  • 0
Dù đục, dù trong con sông vẫn chảy, Dù cao, dù thấp cây lá vẫn xanh, Dù kẻ phàm tục hay kẻ tu hành, Đều phải sống từ những điều rất nhỏ. Ta hay chê cuộc đời méo mó, Sao ta không tròn tự trong tâm? Đất ôm cho những hạt nảy mầm, Nhưng chồi tự vươn lên tìm ánh sáng. Nếu tất cả đường đời đều trơn láng, Thì chắc gì, ta nhận ra ta?

#2371 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 11 July 2009 - 10:21 PM

Bác Hoành và mọi người xem viết giúp em cái lisp này với : công việc của em là vẽ họa đồ vị trí nhà để cấp sổ hồng, yêu cầu là : xác định được kích thước nhà, vị trí nhà cách đường bao nhiêu, căn cứ vào chỉ giới xây dựng thi nhà có vi phạm chỉ giới không? nếu có thì diện tích vi phạm là bao nhiêu ? tứ cận gồm những ai.???

- cái khó để xác định kích thước nhà là nhiều nhà có kich thước các cạnh không vuông vức mà lại giật, nghiêng so với truc chuẩn ( để đo được kích thước phải dùng dim align)
cách thức làm việc của lisp theo mình có thể mô tả như sau :
command : vsh ( <-- vẽ sổ hồng)
mặt trước giáp Đường/Đường Hẻm/Đường Đất/Đường Mòn:
nếu giáp Đường : Tên đường là gì ? chỉ giới quy định là bao nhiêu
( kết quả sẽ được 2 line thể hiện bề rộng Đường/Đường Hẻm/Đường Đất/Đường Mòn, 1 line tim đường, 1 line chỉ giới cách tim đường theo như kích thước khai báo, và một dim line ( dấu mũi tên) thể hiện kích thước chỉ giới ( vd : 10,00m)
tương tự cho 3 bên còn lại
chu vi thửa đất ( thể hiện bằng nét đứt)
( theo chiều kim đồng hồ ) cạnh 1 : ngang/dọc/nghiêng
( nếu là nghiêng thì nghiêng bao nhiêu độ, kích thước dim align là bao nhiêu? Mình vẫn hay gặp khó khăn chỗ này, vi góc nghiêng không xác đinh được chính xác nên việc xác định được chiều dài cạnh nghiêng và 2 cạnh nối 2 đầu cạnh này đúng theo kích thước mình muốn rất mất thời gian, vì phải stretch để căn chỉnh đúng 3 cạnh)
tương tự cạnh 2, 3, 4, ....
Chu vi nhà ( thể hiện bằng nét đậm 0.45)
tương tự như vẽ chu vi đất
sau đó lisp xác định được diện tích nhà (Area), diện tích vi phạm chỉ giới ( phần vi phạm chỉ giới được hatch lên )
......
Bác nào có kinh nghiệm xin bổ sung thêm. Mọi người xem giúp mình với nhé. Thank everybody so much.
vì việc có vẻ đơn giản vì chỉ dùng những lệnh căn bản của CAD nhưng vì số lượng nhiều nên mấy anh em ở phòng làm không kịp, trễ hẹn đến ngày hẹn trả cho dân mà không thấy là Phòng ăn kiểm điểm ngay, khổ lắm.)

ko bít mình nói có đúng ko nữa!nhưng theo mình nếu bạn làm ngành này bạn nên nghiên cứu AUTODESK MAP!rát hữu dụng đối với bạn đó!
  • 0

#2372 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 11 July 2009 - 10:28 PM

có bạn nào có LISP chuyển 1 bảng thống kê từ CAD sang Excell và từ excell sang CAD ko vậy?mình làm cấp nước nên thống kê vật tư rất nhiều nên mình rất cần LISP để chuyển đổi qua lại!mong sự giúp đỡ của các bạn!(cái bảng xuất qua excel phải giống hàng và cột y chang với bảng CAD hoặc ngược lại)
  • 0

#2373 meohen1910

meohen1910

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 July 2009 - 11:37 PM

Bạn có thể post yêu cầu về autolisp ở topic này.


Mình dang làm san nền hay gặp trường hợp có 1 bình đồ số chứa các text cao độ tuy nhiên thuộc tính poisition Z của các text này đều bằng 0 (Cao độ bằng 0). Mình muốn viết một lisp số hóa các text này, gán thuộc tính poisition Z của text bằng giá trị cao độ ghi trong text đó (Thuộc tính Contents) hoặc tạo ra một điểm (point) tại vị trí text có thuộc tính poisition Z = giá trị Thuộc tính Contents của text.
Bác nào biết chì chỉ hộ mình nhé.
Cảm ơn nhiều, hi vọng anh em làm kỹ thuật có thêm kinh nghiệm trao đổi.
  • 0

#2374 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 July 2009 - 06:00 AM

Mình dang làm san nền hay gặp trường hợp có 1 bình đồ số chứa các text cao độ tuy nhiên thuộc tính poisition Z của các text này đều bằng 0 (Cao độ bằng 0). Mình muốn viết một lisp số hóa các text này, gán thuộc tính poisition Z của text bằng giá trị cao độ ghi trong text đó (Thuộc tính Contents) hoặc tạo ra một điểm (point) tại vị trí text có thuộc tính poisition Z = giá trị Thuộc tính Contents của text.
Bác nào biết chì chỉ hộ mình nhé.
Cảm ơn nhiều, hi vọng anh em làm kỹ thuật có thêm kinh nghiệm trao đổi.

Bạn thử Code này xem :
(defun c:gct()
(prompt "\n Chon cac Text :")
(setq ss (ssget '((0 . "TEXT,MTEXT"))) n (sslength ss) i 0)
(while (< i n)
(setq ent (entget(ssname ss i)))
(setq Z (atof(cdr(assoc 1 ent))))
(setq dsp (assoc 10 ent))
(setq pomoi (list (nth 1 dsp) (nth 2 dsp) Z))
(setq ent (entmod(subst (cons 10 pomoi) (assoc 10 ent) ent)))
(setq i (1+ i))
)
(princ)
)

  • 2

#2375 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 12 July 2009 - 07:09 AM

Tue_NV ơi...! bạn đâu rồi, giúp mình với, mình luôn tin tưởng bạn. Cảm ơn bạn và chúc bạn thành công trong công việc. Mình hy vọng lần này được bạn quan tâm
  • 0

#2376 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 July 2009 - 07:17 AM

Tue_NV ơi...! bạn đâu rồi, giúp mình với, mình luôn tin tưởng bạn. Cảm ơn bạn và chúc bạn thành công trong công việc. Mình hy vọng lần này được bạn quan tâm

HoangSon hãy đọc cái này :
Bai viet so 115; so 118
  • 1

#2377 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 12 July 2009 - 07:24 AM

HoangSon hãy đọc cái này :
Bai viet so 115; so 118

Cảm ơn bạn nhiều lắm, cái này mình đang cần. Thank bạn lần nữa.
  • 0

#2378 tuanthunder

tuanthunder

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 12 July 2009 - 08:56 PM

Xin chào các bác CADVIET.
Em là newbie. Hôm nay em muốn phiền các bác viết cho em 1 lisp:
- Lisp nầy có tác dụng: Tự động copy đối tượng khi dùng lệnh Align đối tượng đó ra chỗ khác.
( VD: Em vẽ 1 cái cửa trên mặt bằng.Em muốn dóng cái cửa đó vào 1 cái ô cửa khác.Thì bình thường em phải: 1.Copy cái cửa đó. B2: Dùng lệnh Al.)
-Các bác giúp em nhé.Cảm ơn các bác trước.
  • 0

#2379 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 12 July 2009 - 10:24 PM

có bạn nào có LISP chuyển 1 bảng thống kê từ CAD sang Excell và từ excell sang CAD ko vậy?mình làm cấp nước nên thống kê vật tư rất nhiều nên mình rất cần LISP để chuyển đổi qua lại!mong sự giúp đỡ của các bạn!(cái bảng xuất qua excel phải giống hàng và cột y chang với bảng CAD hoặc ngược lại)

có ai giúp mình với!
  • 0

#2380 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 13 July 2009 - 11:16 AM

"Để Tue_NV cải thiện tốc độ của Lisp nhé":
Tên lệnh VBUN

Command: vbun : đánh lệnh VBUN
Select objects: Specify opposite corner: 4 found : cái này có phải là quét chọn toàn bộ các trắc ngang tự nhiên vừa xuất?

Select objects: Chọn các Polyline : cái này chọn từng polyline tự nhiên một cơ ạ? ( lâu lém)


Lúc này Lisp sẽ hiện sáng 1 polyline: : sáng 1 polyline j ấy, đường màu đỏ trong ảnh ấy bác ah`! http://www.cadviet.c.../vbun_ko_dc.pdf
Hix, hay là bác có video nào sử dụng từ A--> Z lệnh này bác gửi cho e đc hôk ah? hjj thanks hiu bác! :s_big:
  • 0